require "camera"
require "particles"
require "maps"
require "drawmap"
require "player"
require "bullet"
require "enemies"

function love.load()


	gamestate = "playing" 
	player.load()
	love.graphics.setBackgroundColor(255,255,255)

	map_load = true

	gravity = 650
	enemy.spawn(120,50,10,"default")
end
function love.update(dt)
	if map_load == true then
		map_draw()
		map_load = false
	end
	if gamestate == "playing" then
		if player.x < 0 then
			player.x = 0
			player.xvel = 0
		end





		--Camera--
		camera.x = player.x + 8 - (love.graphics.getWidth() * 0.35) / 2
		camera.y = player.y + 8 - (love.graphics.getHeight() * 0.35) / 2



		--      --




		update_effect(dt)
		player.update(dt)
		bullet.move(dt)
		player.shoot(dt)
		enemy.update(dt)
	end

end
function love.keypressed(key)
	if gamestate == "playing" then
		player.jump(key)
	end
end
function love.draw()
	love.graphics.setColor(0,0,0)
	love.graphics.print(player.health,0,0)
	camera:set()
	
	if gamestate == "playing" then
		draw_effect()
		bullet.draw()
		player.draw()
		enemy.draw()
		solid.draw()
	end

	camera:unset()
end
